SYSTEMD-CGLS(1)

NOM
systemd-cgls – Afficher récursivement le contenu de groupes de contrôle

SYNOPSIS

systemd-cgls [OPTIONS...] [GROUPE_DE_CONTRÔLE...]

systemd-cgls [OPTIONS...] --unit|--user-unit [UNITÉ...]

DESCRIPTION

systemd-cgls affiche récursivement le contenu de la hiérarchie indiquée de groupes de contrôle de Linux sous forme d’arbre. Si des arguments sont fournis, il affiche tous les processus membres des groupes de contrôle indiqués ainsi que tous leurs sous-groupes et tous leurs membres. Les groupes de contrôle peuvent être indiqués par leurs chemins de fichier complets ou sont supposés être dans la hiérarchie de groupes de contrôle de systemd. Si aucun argument n’est fourni et que le répertoire de travail actuel est sous le point de montage de groupes de contrôle /sys/fs/cgroup/, il affiche le contenu des groupes de contrôle auxquels le répertoire de travail appartient. Sinon, la hiérarchie complète de groupes de contrôle de systemd est affichée.

Par défaut, les groupes de contrôle vides ne sont pas affichés.

OPTIONS

Les options suivantes sont comprises :

--all
    Afficher les groupes de contrôle vides dans la sortie.

-l, --full
    Ne pas réduire dans la sortie la longueur des membres de l’arbre des processus.

    Ajouté dans la version 198.

-u, --unit
    Afficher les sous-arbres de groupe de contrôle pour les unités indiquées.

    Ajouté dans la version 233.

--user-unit
    Afficher les sous-arbres de groupe de contrôle pour les unités d’utilisateur indiquées.

    Ajouté dans la version 233.

-k
    Inclure les processus légers (thread) dans la sortie.

-M MACHINE, --machine=MACHINE
    Limiter les groupes de contrôle affichés à la partie correspondant au conteneur MACHINE.

    Ajouté dans la version 203.

--xattr[=BOOL], -x
    Controls whether to include information about extended attributes of the listed control groups in the output. With the long option only, optionally accepts a boolean value. Defaults to no.

    Ajouté dans la version 250.

--cgroup-id[=BOOL], -c
    Controls whether to include the numeric ID of the listed control groups in the output. With the long option only, optionally accepts a boolean value. Defaults to no.

    Ajouté dans la version 250.

-h, --help
    Afficher un aide-mémoire succinct et quitter.

--version
    Afficher une information de version courte et quitter.

--no-pager
    Ne pas rediriger (pipe) la sortie vers un afficheur (pager).

CODE DE RETOUR

En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

VOIR AUSSI

systemd(1), systemctl(1), systemd-cgtop(1), systemd-nspawn(1), ps(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.